#ifndef __WL_24_H__
#define __WL_24_H__

void WL_RxInterrupt(struct device *dev);
void WL_Interrupt(int irq, void *dev_id, struct pt_regs *regs);
int  WL_Reset(struct device *dev);
int  WL_StartXmit(struct sk_buff *skb, struct device *dev);
struct enet_statistics *WL_GetStats(struct device *dev);
int  WL_Close(struct device *dev);
int  WL_Open(struct device *dev);
void WL_SetMulticastList(struct device *dev);
int  WL_Probe(struct device *dev);

extern const char g_cpszVersion[];
extern const char *WL_OP_MODE_TABLE[];
extern int  WL_RSSI;

#endif /* __WL_24_H__ */
